#!/bin/bash

# Check des SMTP Servers
danetool --check smtp.server.tld --port 465
if [ $? -ne 0 ]; then
    # SSL Zertifikatsfehler! Warnung und Abbruch
    zenity --error --text="DANE/TLSA Fehler bei SMTP Server!" --no-wrap
    exit 0
fi

# Check des POP3 Servers
danetool --check pop3.server.tld --port 995
if [ $? -ne 0 ]; then
    # SSL Zertifikatsfehler! Warnung und Abbruch
    zenity --error --text="DANE/TLSA Fehler bei POP3 Server!" --no-wrap
    exit 0
fi

# alles ok, Thunderbird kann starten
thunderbird 
